SGML2HTML(1)

NAME
sgml2html - create HTML output from a LinuxDoc DTD SGML source file

SYNOPSIS
sgml2html [generic-option...] [--split 0|1|2 ] [--toc 0|1|2 ] [--dosnames] [--imagebuttons] file[.sgml]

DESCRIPTION
sgml2html is an old and obsoleted form of the html converter command of LinuxDoc-Tools. It is recommended to switch the new form linuxdoc -B html now. This converts a LinuxDoc DTD SGML source file to HTML output. Output will appear in the top level file file.html and file-n.html for each section, where file is the name of the SGML source file and n is the section name.

The attribute/value pair "output=html" is set for conditionals.

OPTIONS
sgml2html accepts all the generic options described in linuxdoc(1), and the following specific options:

--split, -s
    What level to split source documents. 0 = don't split, 1 = split by major sections, 2 = split by subsections.

--toc, -T
    What level to generate toc.
      0 = don't generate toc at all,
      1 = includes major sections(/chapters/parts),
      2 = includes subsections.

--dosnames, -h
    Use ".htm" rather than ".html" as the extension of

--imagebuttons, -I
    Use the "next", "previous", and "contents" arrow image icons included in /usr/share/linuxdoc-tools as navigation buttons.

--footer, -F
    Use the specified file as the footer in each resulted html file. Default footer is just plain

     </BODY>\n </HTML>\n

--header, -H
    Use the specified file as the top part of the header in each resulted html file. Note this is not the full part of the header. (i.e. the title and the links (next,previous,contents) in the default header are retained. Default is

     <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">\n
     <HTML>\n <HEAD>\n

file
    The SGML source file, named either file or file.sgml.

FILES
Many files and executables in /usr/share/linuxdoc-tools and /usr/bin are used.

BUGS
None known.

AUTHOR
Originally written by Greg Hankins <greg.hankins@cc.gatech.edu>, and Cees de Groot <cg@cdegroot.com> for SGML-Tools (v1). Currently maintained by Taketoshi Sano <sano@debian.org> for Linuxdoc-Tools.

SEE ALSO
linuxdoc(1), sgml2info(1), sgml2latex(1), sgml2lyx(1), sgml2rtf(1), sgml2txt(1), sgmlcheck(1).